/*=============== LOGO ON TOP MODE ===============*/
.header--logo-on-top {
    display: flex;
    flex-direction: column;
}

.article.type2, .article.type3 {
    
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08) !important;
}

.header__logo-top {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1.5rem 2rem;
    background-color: var(--param_couleur1);
}

.header__logo-top-img {
    height: 10rem;
    width: auto;
    max-width: 100%;
}

.header--logo-on-top .nav {
    height: auto;
    min-height: 5rem;
}

.header--logo-on-top .nav__data {
    justify-content: flex-end;
}

@media screen and (max-width: 1118px) {
    .header--logo-on-top {
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }

    .header--logo-on-top .header__logo-top {
        padding: 1rem 1.5rem;
        flex: 1;
        justify-content: center;
    }

    .header__logo-top-img {
        height: 5rem;
    }

    .header--logo-on-top .nav {
        flex: 0;
        height: auto;
        min-height: auto;
    }

    .header--logo-on-top .nav__data {
        height: auto;
    }

    .header--logo-on-top .navigation-menu-and-language {
        top: calc(var(--header-height) - 1rem);
    }
}

@media screen and (min-width: 1118px) {
    .header--logo-on-top .nav__data {
        display: none;
    }

    .header--logo-on-top .navigation-menu-and-language {
        justify-content: center;
    }

    .header--logo-on-top .nav__list {
        justify-content: center;
        gap: 2rem;
    }

    .header--logo-on-top .nav__link {
        padding: 0 1.5rem 1.4rem 1.5rem;
    }
}

/*=============== CONTACT BUTTON ===============*/
.contact_button_opener {
    cursor: pointer;
    color: var(--param_couleurTexte2);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.8rem;
}

.contactLink {
    justify-content: start;
}

.contactLink p {
    display: block;
    margin-left: 1rem;
}

@media screen and (min-width: 1118px) {
    .contactLink p {      
        margin-left: 0;
    }

    .contactLink:hover {
        text-decoration: none;
    }
}
